Bug 59520 - ext2 -> ext3 migration in text installer fails
ext2 -> ext3 migration in text installer fails
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-09 03:47 EST by Ulrich Drepper
Modified: 2007-04-18 12:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2002-02-09 03:47:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8+) Gecko/20020207

Description of problem:
I have one partition in ext2 format which I selected for disk druid to convert
to ext3.  Selection is possible but when the partition (/home if this makes a
difference) is actually access the installer fails and says that mounting isn't
possible (don't have the exact words).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.have a system with an ext2 partition /home
2.run the text installer
3.use disk druid for partioning and select the ext2 partition to be upgraded to ext3
	

Actual Results:  message from anaconda that mounting /home failed

Expected Results:  /home should have been converted and no anaconda message

Additional info:

There is another strange thing wrt to disk druid.  When editing a partition (it
is a used partition) the mount point field at the top says "not applicable" or
so.  When editing the disk option and returning to the inital window the mount
point field is editable.  This seems very wrong.  It should have been editable
right away.
Comment 1 Brent Nordquist 2002-02-20 15:31:55 EST
Confirmed drepper@redhat.com note under "Additional Info" about the TUI disk
druid screen; it won't let you enter the ext3 mount point.  To work around this,
I had to set the type to ext2, enter the mount point, and then set it back to ext3.
Comment 2 Jay Turner 2002-03-21 11:07:31 EST
Still seeing this problem with the Skipjack tree.
Comment 3 Jeremy Katz 2002-03-25 19:38:30 EST
Hrmm... I'm not seeing this on current trees.  Might be due to the parted
probing problem that was present in Skipjack, though.  If you run the parted
from Skipjack on the disk, does it detect a filesystem type?
Comment 4 Michael Fulbright 2002-04-15 18:26:17 EDT
Closing due to inactivity please reopen if you have additional problems.
Comment 5 Red Hat Bugzilla 2006-02-21 13:48:26 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.